package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目审批对象 cmc_project_comment
 * 
 * @author cmc
 * @date 2024-04-02
 */
public class CmcProjectComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private String projectId;

    /** 经营审核意见 */
    @Excel(name = "经营审核意见")
    private String jyComment;

    /** 经营审核人 */
    @Excel(name = "经营审核人")
    private Long jyApprover;

    private SysUser jyUser;

    private SysUser managerUser;

    /** 经营审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "经营审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jyApprovalTime;

    /** 分管审核意见 */
    @Excel(name = "分管审核意见")
    private String manageComment;

    /** 分管审核人 */
    @Excel(name = "分管审核人")
    private Long manageApprover;

    /** 分管审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分管审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date manageApprovalTime;

    /** 生产确认意见 */
    @Excel(name = "生产确认意见")
    private String scComment;

    /** 生产确认人 */
    @Excel(name = "生产确认人")
    private String scApprover;

    /** 生产确认人 */
    @Excel(name = "生产确认人")
    private String scApproverName;

    /** 生产确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产确认时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date scApprovalTime;

    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setJyComment(String jyComment) 
    {
        this.jyComment = jyComment;
    }

    public String getJyComment() 
    {
        return jyComment;
    }
    public void setJyApprover(Long jyApprover) 
    {
        this.jyApprover = jyApprover;
    }

    public Long getJyApprover() 
    {
        return jyApprover;
    }
    public void setJyApprovalTime(Date jyApprovalTime) 
    {
        this.jyApprovalTime = jyApprovalTime;
    }

    public Date getJyApprovalTime() 
    {
        return jyApprovalTime;
    }
    public void setManageComment(String manageComment) 
    {
        this.manageComment = manageComment;
    }

    public String getManageComment() 
    {
        return manageComment;
    }
    public void setManageApprover(Long manageApprover) 
    {
        this.manageApprover = manageApprover;
    }

    public Long getManageApprover() 
    {
        return manageApprover;
    }
    public void setManageApprovalTime(Date manageApprovalTime) 
    {
        this.manageApprovalTime = manageApprovalTime;
    }

    public Date getManageApprovalTime() 
    {
        return manageApprovalTime;
    }
    public void setScComment(String scComment) 
    {
        this.scComment = scComment;
    }

    public String getScComment() 
    {
        return scComment;
    }
    public void setScApprover(String scApprover) 
    {
        this.scApprover = scApprover;
    }

    public String getScApprover() 
    {
        return scApprover;
    }
    public void setScApproverName(String scApproverName)
    {
        this.scApproverName = scApproverName;
    }

    public String getScApproverName()
    {
        return scApproverName;
    }
    public void setScApprovalTime(Date scApprovalTime) 
    {
        this.scApprovalTime = scApprovalTime;
    }

    public Date getScApprovalTime() 
    {
        return scApprovalTime;
    }
    public void setJyUser(SysUser jyUser)
    {
        this.jyUser = jyUser;
    }

    public SysUser getJyUser()
    {
        return jyUser;
    }
    public void setManagerUser(SysUser managerUser)
    {
        this.managerUser = managerUser;
    }

    public SysUser getManagerUser()
    {
        return managerUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("jyComment", getJyComment())
            .append("jyApprover", getJyApprover())
            .append("jyApprovalTime", getJyApprovalTime())
            .append("manageComment", getManageComment())
            .append("manageApprover", getManageApprover())
            .append("manageApprovalTime", getManageApprovalTime())
            .append("scComment", getScComment())
            .append("scApprover", getScApprover())
            .append("scApprovalTime", getScApprovalTime())
            .toString();
    }
}
